- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- Targeting
- CampaignDuration
- PlannedProduct
- AdvancedProductTargeting
- SurfaceTargetingSettings
- YouTubeSelectSettings
- OnTargetAudienceMetrics
- ReachCurve
- ReachForecast
- PlannedProductReachForecast
- PlannedProductForecast
- Try it!
Generates a reach forecast for a given advertiser and targeting configuration.
HTTP request
POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:generateReachForecast
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser that will run the planned campaign. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "targeting": { object ( |
| Fields | |
|---|---|
targeting |
Required. The targeting parameters of the planned campaign. |
campaignDuration |
Required. The duration of the planned campaign. |
currencyCode |
Required. The currency code for the plan in ISO 4217 format. |
plannedProducts[] |
Required. The list of line items to include in the forecast. |
minEffectiveFrequency |
Optional. The minimum effective frequency for the reported reach metrics. This is the smallest number of times a customer must be exposed to the ad for it to be considered effective. This setting only impacts reporting. Must be between 1 and 10, inclusive. If not specified, a default of 1 is applied. |
Response body
Response message for ReachForecastService.GenerateReachForecast.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "onTargetAudienceMetrics": { object ( |
| Fields | |
|---|---|
onTargetAudienceMetrics |
The estimated audience sizes for the targeted geography. |
reachCurve |
The generated forecast curve. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.
Targeting
Targeting settings for a planned campaign.
| JSON representation |
|---|
{ "plannableLocationIds": [ string ], "ageRange": enum ( |
| Fields | |
|---|---|
plannableLocationIds[] |
Required. IDs of plannable locations to target. Plannable locations can be retrieved using the |
ageRange |
Optional. The age range to target. |
genders[] |
Optional. The gender options to target. |
devices[] |
Optional. The devices to target. |
CampaignDuration
The duration of the reach plan.
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field duration. Choice of campaign duration. duration can be only one of the following: |
|
durationDays |
Required. The number of days the plan covers. |
dateRange |
Required. The date range the plan covers. |
PlannedProduct
Configuration for a specific product in the plan.
| JSON representation |
|---|
{
"plannableProductCode": string,
"budgetMicros": string,
"advancedProductTargeting": {
object ( |
| Fields | |
|---|---|
plannableProductCode |
Required. The code for the product, e.g. "VIDEO_REACH_CAMPAIGN". |
budgetMicros |
Required. The budget for this product in micros. |
advancedProductTargeting |
Optional. Optional line item level targeting overrides. |
AdvancedProductTargeting
Product-specific targeting overrides.
| JSON representation |
|---|
{ "surfaceTargetingSettings": { object ( |
| Fields | |
|---|---|
surfaceTargetingSettings |
Optional. Plannable surfaces to target. |
targetFrequency |
Optional. The average number of times the ads will show to the same person over a certain period of time. |
frequencyCap |
Optional. The frequency cap for the specific product. |
ageRange |
Optional. The age range to target. |
genders[] |
Optional. The gender options to target. |
devices[] |
Optional. The devices to target. |
userInterestIds[] |
Optional. The user interest IDs to target. Plannable user interests can be retrieved using the |
userListIds[] |
Optional. The user list IDs to target. Plannable user lists can be retrieved using the |
youtubeSelectSettings |
Optional. YouTube Select settings. |
dateRange |
Optional. The date range to target. |
plannableLocationIds[] |
Optional. Plannable location IDs to target. |
network |
Optional. The network to target. |
SurfaceTargetingSettings
Surface targeting selection.
| JSON representation |
|---|
{
"surfaces": [
enum ( |
| Fields | |
|---|---|
surfaces[] |
Optional. The surfaces to target. |
YouTubeSelectSettings
Settings for YouTube Select Lineups.
| JSON representation |
|---|
{ "lineupId": string } |
| Fields | |
|---|---|
lineupId |
Optional. The ID of the YouTube Select Lineup. |
OnTargetAudienceMetrics
Estimated audience sizes for a targeted geography.
| JSON representation |
|---|
{ "youtubeAudienceSize": string, "censusAudienceSize": string } |
| Fields | |
|---|---|
youtubeAudienceSize |
Estimated size of the YouTube audience. |
censusAudienceSize |
Size of the audience based on the census data of the targeted geography. |
ReachCurve
The generated reach curve.
| JSON representation |
|---|
{
"reachForecasts": [
{
object ( |
| Fields | |
|---|---|
reachForecasts[] |
Points along the curve, ordered by cost. |
ReachForecast
A single point in the reach curve.
| JSON representation |
|---|
{ "costMicros": string, "plannedProductReachForecasts": [ { object ( |
| Fields | |
|---|---|
costMicros |
Total cost for this point in micros. |
plannedProductReachForecasts[] |
Breakdown for individual products at this cost point. |
forecast |
Aggregate forecast for the entire plan. |
PlannedProductReachForecast
Performance forecast for a specific product.
| JSON representation |
|---|
{
"costMicros": string,
"plannableProductCode": string,
"plannedProductForecast": {
object ( |
| Fields | |
|---|---|
costMicros |
The cost in micros for this product. |
plannableProductCode |
The code for the product. |
plannedProductForecast |
Performance metrics for the product. |
PlannedProductForecast
Performance metrics for a forecast point.
| JSON representation |
|---|
{ "onTargetReach": string, "onTargetImpressions": string, "trueviewViews": string, "totalReach": string, "totalImpressions": string, "viewableImpressions": string, "onTargetCoviewReach": string, "totalCoviewReach": string, "onTargetCoviewImpressions": string, "totalCoviewImpressions": string } |
| Fields | |
|---|---|
onTargetReach |
Number of unique people reached that match the on-target definition. |
onTargetImpressions |
Number of on-target impressions. |
trueviewViews |
Number of TrueView views. |
totalReach |
Total number of unique people reached. |
totalImpressions |
Total number of impressions. |
viewableImpressions |
Number of viewable impressions. |
onTargetCoviewReach |
Number of unique people reached that match the on-target definition including co-viewers. |
totalCoviewReach |
Total number of unique people reached including co-viewers. |
onTargetCoviewImpressions |
Number of on-target impressions including co-viewers. |
totalCoviewImpressions |
Total number of impressions including co-viewers. |